language-c-0.10.1: Analysis and generation of C code

Safe Haskell | None
Language | Haskell2010

Language.C.Syntax.Utils

Contents

- Generic operations
- Concrete operations

Synopsis

- getSubStmts :: CStat -> [CStat]
- mapSubStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CStat -> CStat
- mapBlockItemStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CBlockItem -> CBlockItem
- getLabels :: CStat -> [Ident]

# Generic operations

getSubStmts :: CStat -> [CStat] Source #

mapSubStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CStat -> CStat Source #

mapBlockItemStmts :: (CStat -> Bool) -> (CStat -> CStat) -> CBlockItem -> CBlockItem Source #

# Concrete operations

getLabels :: CStat -> [Ident] Source #